FINGER(1)

NAME
finger - display information about users

SYNOPSIS
finger [ options ] name...

DESCRIPTION

By default, finger displays information about each logged-in user, including his or her: login name, full name, terminal name (prepended with a `*' if write-permission is denied), idle time, login time, and location (comment field in /etc/ttytab for users logged in locally, hostname for users logged in remotely) if known.

Idle time is minutes if it is a single integer, hours and minutes if a ':' is present, or days and hours if a d is present.

When one or more name arguments are given, more detailed information is given for each name specified, whether they are logged in or not. A name may be a first or last name, or an account name. Information is presented in a multi-line format, and includes, in addition to the information mentioned above:
    the user's home directory and login shell
    the time they logged in if they are currently logged in, or the time they last logged in if they are not, as well as the terminal or host from which they logged in and, if a terminal, the comment field in /etc/ttytab for that terminal
    the last time they received mail, and the last time they read their mail
    any plan contained in the file .plan in the user's home directory
    and any project on which they are working described in the file .project (also in that directory)

If a name argument contains an at-sign, `@', then a connection is attempted to the machine named after the at-sign, and the remote finger daemon is queried. The data returned by that daemon is printed. If a long format printout is to be produced, finger passes the -l option to the remote finger daemon over the network using the /W feature of the protocol (see NAME/FINGER Protocol).

OPTIONS

-m  Match arguments only on user name (not first or last name).

-l  Force long output format.

-s  Force short output format.

-q  Force quick output format, which is similar to short format except that only the login name, terminal, and login time are printed.

-i  Force ``idle'' output format, which is similar to short format except that only the login name, terminal, login time, and idle time are printed.

-b  Suppress printing the user's home directory and shell in a long format printout.

-f  Suppress printing the header that is normally printed in a non-long format printout.

-w  Suppress printing the full name in a short format printout.

-h  Suppress printing of the .project file in a long format printout.

-p  Suppress printing of the .plan file in a long format printout.

FILES
/etc/utmp
    who is logged in
/etc/passwd
    for users' names
/var/adm/lastlog
    last login times
/etc/ttytab
    terminal locations
~/.plan
    plans
~/.project
    projects

SEE ALSO
passwd(1), w(1), who(1), whois(1)

Harrenstien, K., NAME/FINGER Protocol, 1977 December 30, RFC 742.

BUGS

Only the first line of the .project file is printed.